Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class PrimitiveWrapperArrays

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.PrimitiveWrapperArrays

     class PrimitiveWrapperArrays

extends Object

Primitive wrapper array helper methods.

Author:
  Marc Prud'hommeaux

Constructor Summary
`PrimitiveWrapperArrays()`

Method Summary
`static byte[]` | `toByteArray(Object ob)` Convert the given value to a primitive array if needed.
`static char[]` | `toCharArray(Object ob)` Convert the given value to a primitive array if needed.
`static Object` | `toObjectValue(ValueMapping vm, byte[] array)` Convert the given primitive array to a wrapper array if needed.
`static Object` | `toObjectValue(ValueMapping vm, char[] array)` Convert the given primitive array to a wrapper array if needed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveWrapperArrays

    PrimitiveWrapperArrays()

Method Detail

### toObjectValue

    public static Object toObjectValue(ValueMapping vm,
                                       char[] array)

  Convert the given primitive array to a wrapper array if needed.

### toCharArray

    public static char[] toCharArray(Object ob)

  Convert the given value to a primitive array if needed.

### toObjectValue

    public static Object toObjectValue(ValueMapping vm,
                                       byte[] array)

  Convert the given primitive array to a wrapper array if needed.

### toByteArray

    public static byte[] toByteArray(Object ob)

  Convert the given value to a primitive array if needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.